Subject: bug#57084: 28.1; 28.1 breaks supersession in tramp

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Aug 2022 21:37:12 +0300

> From: Eduardo Santiago <[email-masked]>
> Date: Tue, 09 Aug 2022 11:06:06 -0600
> 
> 
> recipe:
>   1) find-file /rsync:host:file
>   2) in shell session on <host>: echo hi >>file
>   3) back in emacs, type space or any character in that buffer
> 
> In emacs-27.2 and earlier, I get "file changed on disk; really edit the buffer?"
> 
> In emacs-28.1 emacs happily lets me edit the file, and only warns me
> when I try to save. This leads to wasted effort as I try to resolve
> conflicts manually.

Thanks, I think this was already fixed for the upcoming Emacs 28.2.
Would it be possible for you to try the latest pretest 28.1.91,
available from alpha.gnu.org?